#!/usr/bin/perl
# findlongnames.pl
# Look for names that are too long, or nearly so.  

use English;
use newtrace;
use strict; 

defined($ARGV[1-1]) || die "Usage: check  mib-file\n";

# Now the MIB file
my $sMibFile = $ARGV[1-1];
newtrace::trace( 1,"file1|$sMibFile|");
open( MIB,  '<', $sMibFile ) || die "Error: cannot open input file $sMibFile: $!";

my $nLengthFail = 31;
my $nLengthWarn = 28;

# 
my $sInput = "";
my ($sRawWord,$sWord,$nWord);
my $sMarker;

while (<>)
{
    chomp;
    my @lWords = split( / /, $_ );
    next if ( length( $_ ) < $nLengthWarn );
    while ( @lWords )
    {
        $sRawWord = shift( @lWords );
        ( $sWord ) = $sRawWord =~ /([A-Za-z0-9]+)/;
        $nWord = length( $sWord );
        if ( $nWord > $nLengthWarn ) 
        {
            if ( $nWord > $nLengthFail )
            {
                $sMarker = "****";
            } else
            {
                $sMarker = "    ";
            }
            printf( "%4s %3d  %s\n", $sMarker, $nWord, $sWord );
        }
    }
}

